Bug 1001569 - Review Request: python-openopt - A python module for numerical optimization
Review Request: python-openopt - A python module for numerical optimization
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 06:11 EDT by Steve Traylen
Modified: 2014-09-12 07:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-openopt-0.5092-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 21:27:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2013-08-27 06:11:14 EDT
Spec URL: http://cern.ch/straylen/rpms/python-openopt/python-openopt.spec
SRPM URL: http://cern.ch/straylen/rpms/python-openopt/
Description: A python module for numerical optimization
Fedora Account System Username: stevetraylen

rpmlint is clean
koji scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=5859080

I plan to release for EPEL 6 as well once #1001562

is resolved.
Comment 2 Christopher Meng 2013-08-27 06:37:31 EDT
APPROVED.
Comment 3 Christopher Meng 2013-08-27 06:38:54 EDT
I'd like to maintain a Fedora branch of it, can you add this branch? Then you orphan it to me.
Comment 4 Steve Traylen 2013-08-27 06:54:24 EDT
Hi Chris,
 Yes I'm doing the fedora branch as well anyway.
Comment 5 Steve Traylen 2013-08-27 06:56:56 EDT
New Package SCM Request
=======================
Package Name: python-openopt
Short Description: A python module for numerical optimization
Owners: stevetraylen
Branches: f20 f19 el6
Comment 6 Gwyn Ciesla 2013-08-27 08:24:48 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-08-27 09:38:59 EDT
python-openopt-0.5092-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-openopt-0.5092-1.el6
Comment 8 Fedora Update System 2013-08-27 09:41:33 EDT
python-openopt-0.5092-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-openopt-0.5092-1.fc19
Comment 9 Ralf Corsepius 2013-08-27 11:37:25 EDT
Folks, 37 minutes from submission to approval and 2-3 hours to git import!

Are you serious or just working carelessly? As it's impossible to perform a careful review in this time, I am guessing on the former.


I think FESCO should intervene and stop this practice - It's grossly careless!!

Christopher, I am seriously concerned about your "reviews", because the quality of your submissions and postings makes it very clear you are lacking experience and probably are not able to understand what you are doing.
Comment 10 Christopher Meng 2013-08-27 11:53:32 EDT
(In reply to Ralf Corsepius from comment #9)
> Folks, 37 minutes from submission to approval and 2-3 hours to git import!
> 
> Are you serious or just working carelessly? As it's impossible to perform a
> careful review in this time, I am guessing on the former.
> 
> 
> I think FESCO should intervene and stop this practice - It's grossly
> careless!!
> 
> Christopher, I am seriously concerned about your "reviews", because the
> quality of your submissions and postings makes it very clear you are lacking
> experience and probably are not able to understand what you are doing.

Hi Ralf,

I can't find any errors even warnings from rpmlint.

I don't have habit to paste rpmlint everytime, but I will run fedora-review instead.

The linpack package, in fact, I don't want to take. Bjorn asked me if I can take on gtalk.  I'll prevent such reviews from now on.

For this one, what's your problem?

You mean we need to wait months just for a python module?
Comment 11 Fedora Update System 2013-08-27 13:07:48 EDT
python-openopt-0.5092-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 12 Ralf Corsepius 2013-08-28 00:53:22 EDT
(In reply to Christopher Meng from comment #10)

> I can't find any errors even warnings from rpmlint.
rpmlint is just a hinting tool and so is fedora-review.

Them "not complaining" rsp. "complaining", doesn't mean much. These tools are just imperfect tools, whose results often contain bogus warnings and don't catch issue. These tools' results should not be taken to be more than hints.

They are not a replacement for visual inspection and further manual checks. If they were, we could close down the review process and rely on them - This is not the case.

 
> For this one, what's your problem?
I am accusing you of working overly hasty and to probably not having comprehended the breadth of a review.
 
> You mean we need to wait months just for a python module?
No. I am asking you to work more carefully. This also means not to rush through reviews, such that others have a chance to also have an eye on a package.

As to err is human, nobody is perfect, so they might see something, which had escaped you.
Comment 13 Fedora Update System 2013-09-04 21:27:52 EDT
python-openopt-0.5092-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-09-11 14:09:52 EDT
python-openopt-0.5092-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 15 Steve Traylen 2014-09-12 04:41:02 EDT
Package Change Request
======================
Package Name: python-openopt
New Branches: epel7
Owners: stevetraylen
Comment 16 Gwyn Ciesla 2014-09-12 07:59:33 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.